@echo off
if not defined cache call cache
if not defined pid call bootfox
setlocal
set thisbat=%~dpnx0

:navigate
set target=%~1
if not defined target set target=quotes

:: all these do is set the applicable url and scan-trigger
call :%target%||(
echo %target% %errorlevel%
echo '%target%' not in %0 catalogue. Recognized keywords ^(case non-sensitive^):
call :keywords
exit /b 8
)

:redo --  ASSuming, and depending on PID to be valid, set from boot or...
sklite.vbs %pid% %%d %page% {enter}
call scanfox %scan%
:: if zero, the page was loaded and captured into quot
if %errorlevel% equ 0 exit /b 0
echo %0: scan failed on %scan%
:: exit w/failure-status
exit /b 1

rem recoginzed "key-words" set up the parms for iexplore and scanning

:prices _
:quotes _
set scan="return to quote list"
set page=https://trading.certigo.com/?QuotesResearch?P=QuoteLists^^^&ViewList=1 {enter}
exit /b 0

:history _
:trades _
:statements _
:statement _
set scan="account history"
set page=https://trading.certigo.com/?Account?P=History
exit /b 0

:open _
:opens _
:positions _ 
set scan="open positions"
set page=https://trading.certigo.com/?Account?P=Detail
exit /b 0

:fills _
:: cant use 'filled orders' due to another page intercepting that trigger.
:: going with 'summaryrow' in hopes some other page doesn't have it.
:: might have to use something else, or both 'filled orders' AND 'summaryrow'
set scan="summaryrow"
set page=https://trading.certigo.com/?Trade?P=Filled
exit /b 0

:charts _
pause
set page=https://trading.certigo.com/?QuotesResearch?P=Charts
exit /b 0

:help  ------- moved down here to minimize scrolling up top
echo usage: %0 [keyword]  Keyword defaults to 'quotes'. Currently recognized
echo keywords are:
call :keywords
echo If iexplore is already in certigo, the requested page is
echo navigated to and captured as .\quot. If not, a full startup is done to
echo get to certigo. Scan.bat does the validation and retrieval. If the
echo validation or retrieval fail, scan returns an error, reflected by login.
exit /b 5

:keywords
:: this lists the labels of the keywords recognized by GET
for /f "tokens=1 delims=:_" %%a in ('findstr /i /r /c:"^:[a-z].* _$"  %thisbat%') do echo %%a
