@echo off & endlocal
::returns the pid given front part of the window-title AND sets a global 'pid'.
:: Also useful to tell you if a window is already open or not
:: COULD use exit-errorlevel to transmit the pid. Using both methods for now.
:: note that global %PID% is unconitionally cleared before testing the wtitle
if "%~1" equ "" (
echo usage: %0 [qualifier_string] [x]
echo searches tasklist for the string-plus-asterisk-wildcard.e*.
echo if argument 2 is supplied, it uses imagename instead of windowtitle.
echo If found, sets a global 'pid'
echo and echos the pid. If not found, the global is cleared and returns
echo errlevel 1. If no windowtitle supplied, clears global 'pid' and shows this.
set pid=
goto :eof
)
rem *** echo %~1*
set im=%2
if defined im (set im=imagename) else (set im=windowtitle)
set pid=
rem echo 'tasklist /fi "%im% eq %~1*" '
for /f "skip=3 tokens=2" %%a in ('tasklist /fi "%im% eq %~1*"') do (
:: not sure about this - meant to return multiples if... multiples found
set pid=%%a
)
set im=
if "%pid%" equ "No" set pid=
rem if not defined pid (exit /b 1) else (echo %pid%)
if not defined pid exit /b 1
exit /b %pid%
