set fso=wscript.createobject("scripting.filesystemobject")
FOR I = 65 TO 90 : X = X & CHR(I) : NEXT
X = X & LCASE(X) & "0123456789+/"
argc=wscript.arguments.count
if argc=0 then
  wscript.echo "Usage: ___[.vbs] SourceFileNname|'String' [ouput_filename]"
  wscript.echo "If no output file given, it goes to stdout, otherwise output file is appended to."
  wscript.echo "'String', in single-quotes, will encode the literal instead of file content."
  wscript.quit
end if
fil=wscript.arguments(0)
'if single-quoted item, use as a string-literal, otherwise try filename
p=instr(fil,chr(39))
if p=0 and fso.fileexists(fil) then
  xc=fso.getfile(fil).size+10
  set infile=fso.opentextfile (fil,1)
 'never, EVER, trust or use 'readall'. found out the hard way!
  S=infile.read(xc)
else
  S=mid(c,2,len(c)-2)
end if
set ofile=wscript.stdout
if argc=2 then
  set ofile=fso.opentextfile(wscript.arguments(1),8,true)
end if
OUT = ""
LS = LEN(S)
ZEROS = STRING(8, CHR(0))
P = INSTR(S, "=")
IF P > 0 THEN
  P = LEN(S) - P + 1
  S = S & STRING(P, ZEROS)
END IF
'Output is incremental, or sequential, instead of cumulative/block to avoid
'memory exhaustion on large files. The entire sourcefile is already hogging
'ram, so, "don't push it!"
FOR I = 1 TO LS STEP 4
  PREV = 0: ZZ = 64
  FOR J = 1 TO 4
    M = I + J - 1
    N = MID(S, M, 1)
   'find the index location in letter-number string
    T = INSTR(X, N) - 1
   'split the number into top and bottom parts
    TOP = T \ ZZ
    BOTT = T - TOP * ZZ
   'add the top part to the previous bottom-part
    PREV = PREV + TOP
    IF PREV > -1 THEN
      IF J > 1 THEN
        ofile.write CHR(PREV)
      END IF
    END IF
   'mult. the bottom, shifting it left, leaving zeros on right for next top locn
    PREV = BOTT * 4 ^ J
    ZZ = ZZ / 4
  NEXT
  IF M > LS THEN EXIT FOR
NEXT

