@echo off & setlocal
rem generate 'ivdata.asc' from raw/imported data.
if not exist ivdata.asc goto :start
dir ivdata.asc
echo Existing file will be appended to, so make backup if needed...
pause

:start
set eko=rem
set paz=rem
set hilite=
if defined debug (
set eko=echo
set paz=pause
set hilite=----------    
)
set sym=%1
if defined sym goto :symset
:: try to take from last line of ivtemp
if not exist ivtemp (
set /p sym=Symbol w/no dot, like zmh23: 
if not defined sym exit /b
goto :symset
)
for /f "tokens=1 delims=," %%a in (ivtemp) do set sym=%%a
%eko% symbol set: %sym%
%paz%


:symset
if not exist %sym% (
echo symbol source-file not found. bailing out
exit /b
)
for /f "tokens=1 delims=[]" %%a in ('find /v /n ""^<%sym%') do set datcount=%%a
%eko% raw lines: %datcount%
:: this is only one line, space-separated values, vol date skip hi lo

::---------------- GET PREVIOUS READINGS: vol yr month skiplines
set pv=1
set yr=77
set month=2
set sk=
if not exist %sym%.ini (
echo no ini file set up, using defaulte: vol=0 year=77 month=2, no skip
goto :ini_done
)
for /f "eol=- tokens=1-4" %%a in (%sym%.ini) do (
set /a pv=%%a+1
set yr=%%b
set month=%%c
set /a sk=%%d+0
)
:ini_done
%eko% prev vol: %pv%, date: %fakedate%, sk: %sk%, hi: %hi%, lo: %lo%
set c=%sk%
set test=%c%
set hi=0
set lo=9999999

:: sym is like zmk22, date is like 10/01/1991 hi,lo like 460.1
:: infile is date time price {w/decimalpoint} volume
if %sk% equ 0 (set skip=) else (set skip=skip=%sk%)

::==================== PRIMARY LOOP ON MAIN RAW INPUT
for /f "%skip% eol=- tokens=2-4" %%a in (%sym%) do call :bildline %%a %%b %%c
goto :eof


:bildline  incoming 1=time, 2=price with dec.point, 3=vol
%eko% %0 raw: %1 %2 %3  C: %c%
set /a c+=1
set /a  bar=c %% 100
if %bar% equ 0 progbar.com
::-------- date
set tstamp=%1

:: ---------- price range
:: batch canNOt recognize decimals for numerics. use tpr to compare.
:: use the originals for output
if not defined open set open=%2
set pr=%2
set tpr=%2
set tpr=%tpr:.=%
if %tpr% gtr %hi% set hi=%pr%
if %tpr% lss %lo% set lo=%pr%

set /a vol=%3-pv
set pv=%3
set /a newday=c %% 5
set /a eof=c+5
if %newday% neq 0 exit /b
::----------- fakedate
call fd %tstamp%
set ee=%errorlevel%
%eko% newday time %tstamp% fd %fd% month %ee% yr %yr%

:: ****** year incrementation / rollover whenever curr. month less than prev
if %ee% lss %month% set /a yr+=1
set month=%ee%
 echo %hilite%%sym%,%yr%%fd%,%open%,%hi%,%lo%,%pr%,%vol%,0    %time%>>ivdata.asc
set hi=0
set lo=9999999
set open=
