@echo off &rem SCAN 7/2022 Internet Explorer version
:: result will always be in 'quot', regardless of target
del .\quot 2>nul

if defined cache goto :slocal
:: this sets it for temp use by scan, but not globally
::call cache hh  just does the following, aimed at IE11. change for firefox
set cache=%USERPROFILE%\AppData\Local\Microsoft\Windows\Tempor~1\Content.IE5
dir /b %cache% >nul|| (
echo no cache established in scan.
exit /b 2
)
echo scan set cache to %cache%

:slocal
setlocal
set x=%~1
:: target-string, flexible for other content besides quotes
if not defined x set x=return to quote
set wtitle=https://trading.certigo

:proceed  set debugging options based on global var. 'debug'
set report=rem
set paz=rem
if defined debug (
set report=echo
set paz=pause
)


:: important debug displays marked by asters
%report% scan: %x%
:: try 'max' times to find string "%1" in cache\*htm else exit with error
set max=%3
if not defined max set max=10
:: ================ refresh-on-fail set - DEFAULTS TO 2. Submit 0 to disable
set refr=%2
if not defined refr set refr=2
:: 'c' starts at 1, so refr 0 gets no refresh
set c=0
set sl=100
%report% %0 x: %x% max: %max% refr: %refr% cache: %cache% pid: %pid%

:redo =-=-=-=-=-=-=-=-=-=-=-=-=-=-   M A I N   C O U N T E R  L O O P
wsleep.vbs %sl%
set sl=100
set/a c+=1
:: -------- This is the only unconditional echo
echo %0 %c%
:: adding another {ENTER} - EXPERIMENTAL, BEING TESTED to get around the dia-box.

:: ========================== F5 REFRESH  might even add a 3rd enter
if %c% equ %refr% sklite.vbs %wtitle% {f5} {enter} {enter} 

:maxout -- tries expired
if %c% gtr %max% goto :notfound

:: ------------------------- C A C H E  S C A N  L O O P
for /f "tokens=*" %%a in ('dir /b /s /aa %cache%\*.htm 2^>nul') do (
%report% scanning for "%x%" ... %%a
set u=%%a
:: mask it off from next pass
attrib -a "%%a"
:: %x% is usually "return to quote" 
find /i "%x%"<%%a>nul&&goto :ok
:: try delete, just to keep cache "cleaned up". not really nec.
del "%%a" >nul 2>nul
)
goto :redo

:ok
set c=0
%report% %u%
:: might as well do the copy here since we no longer need the cache
copy %u% .\quot>nul 2>&1||(
:: has never happened! you can ignore all this glop
%report% scan found %x% but copy-down failed
exit /b 3
)
%report%  scan success %1
exit /b 0

:notfound
:: changing a "not found" errorlevel to a simple '1', cause it's not
:: really a error per se...  clear cache attribute A
attrib -a %cache%\*.htm /s 2>nul
exit /b 1
